.service-area{
    display: block;
    padding: 60px 10px 80px;
    box-sizing: border-box;
    background-color: #f5f6f7;
}
.service-main{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    grid-gap: 20px;
    width: 100%;
    grid-template-rows: auto;
}
.service-details{
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 20px;
    width: 100%;
}
.service-icon {
    display: block;
}
.service-icon span {
    width: 50px;
    height: 50px;
    font-size: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    text-align: center;
    color: #70c332;
    background: #fff;
    border: 3px double #70c332;
    box-shadow: 0 15px 35px #0000001a;
    transition: all .3s linear;
}
.service-icon :hover{
    color: #fff;
    background: #70c332;
}
.service-text {
    display: block;
    width: 100%;
}
.service-text h3 {
    color: #39404a;
    /* font-family: Rubik,sans-serif; */
    font-style: normal;
    font-weight: 500;
    font-size: 17px;
    margin-bottom: 11px!important;
    line-height: 22px;
}
.service-text p {
    color: #555;
    font-family: Rubik,sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 21px;
    display: block;
    margin-top: 4px!important;
}
.service-footer{
    display: block;
    padding: 60px 10px 80px;
    box-sizing: border-box;
    background-color: #f8fffa;
}
.support-list-item i{
    color: #70c332;
    font-size: 27px;
}
.support-list-item p{
    display: block;
    color: #555;
    font-family: Rubik,sans-serif;
    font-style: normal;
    font-weight: 400;
    line-height: 26px;
    font-size: 16px;
    margin-bottom: 2px!important;
}


@media only screen and (max-width: 767px) {
    .service-area {
        padding: 60px 15px 40px 10px;
    }
    .service-main {
        grid-template-columns: repeat(1,1fr);
        grid-gap: 25px 20px;
    }
    .footer-title h3 {
        color: black;
        font-style: normal;
        font-weight: 500;
        font-size: 20px;
        display: block;
        line-height: 30px;
        letter-spacing: -.3px;
        margin-top:10px;
        padding-left: 5px;
        border-bottom: 2px solid black;
    }

}

/* footer starts */
.footer-area {
    display: block;
    padding: 30px 10px 0;
    box-sizing: border-box;
    background-color: #2A3493;
}
.footer-main {
    margin-bottom: 50px;
}
.footer-details {
    display: block;
    width: 100%;
}
.footer-logo {
    display: block;
    margin: 10px 0px;
}
.footer-logo img {
    width: 80px;
}
.footer-discription {
    display: block;
    margin-bottom: 10px;
}
.footer-discription p {
    color: #555;
    font-family: Rubik,sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 26px;
    display: block;
}
.footer-social {
    display: block;
}
.footer-social ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
.footer-social ul li {
    display: inline-block;
    margin-right: 8px;
}
.footer-address{
    display: block;
}
.footer-title {
    display: block;
    margin-bottom: 25px;
}

/*.footer-title::after {*/
/*    background-color: rgb(0, 0, 0) !important;*/
/*}*/

/*.footer-title::after {*/
/*    display: block;*/
/*    position: absolute;*/
/*    bottom: -2px;*/
/*    left: 0;*/
/*    width: 90px;*/
/*    height: 2px;*/
/*    background-color: #377dff;*/
/*    content: '';*/
/*}*/

.footer-title h3 {
    font-style: normal;
    font-weight: 500;
    font-size: 21px;
    display: block;
    line-height: 30px;
    letter-spacing: -.3px;
    margin-top:10px;
}
.footer-address ul {
    list-style: none;
    display: block;
    padding: 0;
}
.footer-address ul li {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
    width: 100%;
    margin-bottom: 15px;
}
.footer-address ul li span {
    color: #000000;
    font-size: 15px;
}

.footer-social-links {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10%;
    box-shadow: 0 15px 35px #0000001a;
    background-color: #000000;
    font-size: 16px;
    font-weight: 600;
    transition: all .3s linear;
    margin-right: 10px;
}

.footer-social a i {
   color: #f8f8f8;
}


.ntt {
    display: flex;
    justify-content: center;
    background-color: #212529 !important;
    padding: 15px 30px;
    box-sizing: border-box;
    border-radius: 8px 8px 0 0;
}
.ntt-main {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
}
.ntt-left h3{
    color: #fff;
    font-family: Rubik,sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    display: block;
    line-height: 22px;
}
.ntt-left h3 a {
    display: inline-block;
    color: #fff;
    transition: all .3s linear;
}


.product_des{
    background-color: #70c332;
    text-align: left;
    padding: 12px 10px;
    margin-bottom: 15px;
}
.product_des h5{
    color: #fff;
    text-transform: uppercase;
    font-weight: 500;
}


/* View all button */
.view-all-button {
    padding: 0.6em 2em;
    border: none;
    outline: none;
    color: rgb(255, 255, 255);
    background: #111;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.view-all-button:before {
    content: "";
    background: linear-gradient(
        45deg,
        #ff0000,
        #ff7300,
        #fffb00,
        #48ff00,
        #00ffd5,
        #002bff,
        #7a00ff,
        #ff00c8,
        #ff0000
    );
    position: absolute;
    top: -2px;
    left: -2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    -webkit-filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing-view-all-button 20s linear infinite;
    transition: opacity 0.3s ease-in-out;
    border-radius: 10px;
}

.checkout-icon{
    height: 50px !important;
    width: auto;
    display: inline;
}

.checkout_payment_text{
    font-size:20px !important;
    color: #101973 !important;
    font-weight:bold !important;
}

@media only screen and (max-width: 1024px) {
    .checkout_payment_text {
        font-size: 14px !important;
    }

    .checkout-icon{
        height: 40px !important;
    }
}

@media only screen and (max-width: 768px) {
    .checkout_payment_text {
        font-size: 12px !important;
        padding-left: 20px !important;
    }

    .checkout-icon{
        height: 55px !important;
        padding-left: 30px;
    }
}

@keyframes glowing-view-all-button {
    0% {
        background-position: 0 0;
    }
    50% {
        background-position: 400% 0;
    }
    100% {
        background-position: 0 0;
    }
}

.view-all-button:after {
    z-index: -1;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #222;
    left: 0;
    top: 0;
    border-radius: 10px;
}

/*Campaign Button start*/

a.campaign-button{
    display: none;
}

@media only screen and (max-width: 768px) {
    a.campaign-button {
        display: block;
        text-decoration: none;
        position: fixed; /* Makes the button stay in place while scrolling */
        top: 25%; /* Distance from the bottom of the screen */
        right: 20px; /* Distance from the right side of the screen */
        width: 50px;
        height: 50px;
        background: linear-gradient(to bottom, hotpink 0%, tomato 100%);
        box-shadow: 0 4px 4px rgba(0, 0, 0, .3);
        border-radius: 50%;
        line-height: 50px; /* Aligns the text vertically */
        text-align: center;
        color: white;
        font-family: Arial, sans-serif;
        font-size: 16px;
        z-index: 9999; /* Ensures the button stays on top of other elements */
    }

    a.campaign-button:hover {
        background: linear-gradient(to bottom, lightcoral 0%, crimson 100%);
    }

    a.campaign-button::before {
        display: block;
        position: absolute;
        z-index: -1;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        background: black;
        opacity: 0;
        content: '';
        animation: pulse 1s infinite;
    }

    a.campaign-button:hover::before {
        animation: none;
        opacity: .4;
        transform: scale(1.3);
    }

    .campaign-button.is-clicked {
        background: linear-gradient(to bottom, gray 0%, dimgray 100%);
    }

    .campaign-button.is-clicked::before {
        animation: blastOut 1s;
    }

    @keyframes pulse {
        from {
            transform: scale(1);
            opacity: .4;
        }
        to {
            transform: scale(1.3);
            opacity: 0;
        }
    }

    @keyframes blastOut {
        from {
            transform: scale(0.9);
            opacity: .4;
        }
        to {
            transform: scale(10);
            opacity: 0;
        }
    }
}

/*Campaign Button end*/

/*Gallery button start*/

a.gallery-button{
    display: none;
}

@media only screen and (max-width: 768px) {
    a.gallery-button {
        display: block;
        text-decoration: none;
        position: fixed; /* Makes the button stay in place while scrolling */
        top: 40%; /* Distance from the bottom of the screen */
        right: 10px; /* Distance from the right side of the screen */
        width: 60px;
        height: 60px;
        border-radius: 50%;
        text-align: center;
        color: white;
        font-family: Arial, sans-serif;
        font-size: 16px;
        z-index: 9999; /* Ensures the button stays on top of other elements */
    }

    a.gallery-button:hover {
        animation: pulse 2s infinite;
    }

    a.gallery-button img {
        height: 40px;
    }
}

/*Gallery button end*/
